package com.ywt.outpatient.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 得到订单详情Request
 **/
@ApiModel(value = "得到订单详情Response")
public class GoodsOrderDetailVO {

    @ApiModelProperty(value = "订单详情ID", example = "")
    private int detailId;

    @ApiModelProperty(value = "订单ID", example = "")
    private int orderId;

    @ApiModelProperty(value = "商品ID", example = "")
    private int goodsId;

    @ApiModelProperty(value = "商品名称", example = "")
    private String goodsName;

    @ApiModelProperty(value = "商品图片", example = "")
    private String goodsPic;

    @ApiModelProperty(value = "商品数量", example = "")
    private int goodsNumber;

    @ApiModelProperty(value = "商品单价，单位：元", example = "")
    private String goodsPrice;

    @ApiModelProperty(value = "商品支付价格，单位：元", example = "")
    private String payAmount;

    @ApiModelProperty(value = "商品单价，单位：分", example = "")
    private int goodsPriceInt;

    @ApiModelProperty(value = "商品支付价格，单位：分", example = "")
    private int payAmountInt;

    @ApiModelProperty(value = "折扣，单位: % || 0", example = "")
    private int discount;

    @ApiModelProperty(value = "商品注意事项", example = "")
    private String remark;


    public int getDetailId() {
        return detailId;
    }

    public void setDetailId(int detailId) {
        this.detailId = detailId;
    }

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public int getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(int goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsPic() {
        return goodsPic;
    }

    public void setGoodsPic(String goodsPic) {
        this.goodsPic = goodsPic;
    }

    public int getGoodsNumber() {
        return goodsNumber;
    }

    public void setGoodsNumber(int goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    public String getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(String goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public String getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public int getGoodsPriceInt() {
        return goodsPriceInt;
    }

    public void setGoodsPriceInt(int goodsPriceInt) {
        this.goodsPriceInt = goodsPriceInt;
    }

    public int getPayAmountInt() {
        return payAmountInt;
    }

    public void setPayAmountInt(int payAmountInt) {
        this.payAmountInt = payAmountInt;
    }

    public int getDiscount() {
        return discount;
    }

    public void setDiscount(int discount) {
        this.discount = discount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
